Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - r -

- random() : Random
- Random() : Random
- rawDigest() : Hasher , MD5 , SHA1 , SHA256
- rawLength() : MD5 , SHA1 , SHA256
- re() : Complex
- read() : XmlDocument
- readComp() : Compressor
- readData() : File , MemoryStream , Socket , Stream
- readDecomp() : Compressor
- received() : Client , ClientDriver , Driver , MessageHandler , MessageQueue , MessageReceiver , MessageRelay , Module , SocketFilter
- receivedInternal() : MessageHandler , MessageRelay
- recursive() : Mutex
- recv() : Socket
- recvFrom() : Socket
- recvMsg() : SctpSocket
- ref() : RefObject
- refcount() : RefObject
- RefObject() : RefObject
- RefPointer() : RefPointer< Obj >
- RefPointerBase() : RefPointerBase
- RefStorage() : RefStorage
- regexp() : NaptrRecord
- Regexp() : Regexp
- Register() : Engine
- registerParams() : CallAccount
- related() : Window
- RelayID : Module
- relayId() : Module
- relayInstalled() : Module
- relayOutput() : Debugger
- remote() : ClientContact
- remove() : File , HashList , ObjList
- removeAccount() : ClientAccountList
- removeAttribute() : XmlElement
- removeBody() : MimeMultipartBody
- removeChars() : Client
- removeChild() : XmlDocument , XmlElement , XmlFragment , XmlParent
- removeContact() : ClientAccount
- removed() : TranslatorFactory
- removeDurationUpdate() : ClientLogic
- removeEndsWithPathSep() : Client
- removeFilter() : MessageQueue , Socket
- removeFromOwner() : ClientContact
- removeGroup() : ClientContact
- removeHdr() : MimeBody
- removeLastNameInPath() : Client
- removeLogic() : Client
- removeMenu() : Client , Window
- removeResource() : ClientContact , MucRoom
- removeShare() : ClientContact
- removeShared() : ClientContact
- removeSlave() : ClientChannel
- removeThread() : MessageQueue
- removeTrayIcon() : Client
- rename() : File
- replace() : NaptrRecord , XmlEscape
- replaceMatches() : String
- replaceParams() : NamedList , XmlChild , XmlDocument , XmlElement , XmlFragment , XmlText
- repTemplate() : NaptrRecord
- reset() : Flags32 , ListIterator , NamedIterator , XmlDocument , XmlDomParser , XmlFragment , XmlParent , XmlSaxParser
- resetError() : XmlSaxParser
- resetMax() : Engine
- resetParsed() : XmlSaxParser
- resetStorage() : SliceVector< Obj >
- resize() : DataBlock , SliceVector< Obj >
- resizeMax() : SliceVector< Obj >
- resource() : ClientAccount , MucRoom
- resources() : ClientContact
- restart() : Engine
- resurrect() : RefObject
- resync() : HashList
- retValue() : Message
- rfind() : String
- ringer() : Client
- rmDir() : File
- Role : MucRoomMember
- root() : XmlDocument
- route() : Router
- routed() : Driver
- Router() : Router
- routing() : Driver
- row() : XmlSaxParser
- run() : Client , Engine , Router , Runnable , ThreadedSource
- runId() : Engine
- RunMode : Engine
- running() : Thread , ThreadedSource
- runParams() : Engine
- runTime() : SysUsage